<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Dashboard for /vagrant/src/Entity</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="../_css/bootstrap.min.css?v=9.2.26" rel="stylesheet" type="text/css">
  <link href="../_css/nv.d3.min.css?v=9.2.26" rel="stylesheet" type="text/css">
  <link href="../_css/style.css?v=9.2.26" rel="stylesheet" type="text/css">
  <link href="../_css/custom.css" rel="stylesheet" type="text/css">
 </head>
 <body>
  <header>
   <div class="container-fluid">
    <div class="row">
     <div class="col-md-12">
      <nav aria-label="breadcrumb">
       <ol class="breadcrumb">
         <li class="breadcrumb-item"><a href="../index.html">/vagrant/src</a></li>
         <li class="breadcrumb-item"><a href="index.html">Entity</a></li>
         <li class="breadcrumb-item active">(Dashboard)</li>

       </ol>
      </nav>
     </div>
    </div>
   </div>
  </header>
  <div class="container-fluid">
   <div class="row">
    <div class="col-md-12">
     <h2>Classes</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="classCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="classComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Brand.php.html#15">App\Entity\Brand</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product.php.html#15">App\Entity\Product</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ProductPresence.php.html#16">App\Entity\ProductPresence</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#21">App\Entity\User</a></td><td class="text-right">16%</td></tr>
       <tr><td><a href="Pantry.php.html#15">App\Entity\Pantry</a></td><td class="text-right">56%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="User.php.html#21">App\Entity\User</a></td><td class="text-right">670</td></tr>
       <tr><td><a href="Product.php.html#15">App\Entity\Product</a></td><td class="text-right">342</td></tr>
       <tr><td><a href="Brand.php.html#15">App\Entity\Brand</a></td><td class="text-right">110</td></tr>
       <tr><td><a href="Pantry.php.html#15">App\Entity\Pantry</a></td><td class="text-right">37</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-12">
     <h2>Methods</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="methodCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="methodComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Brand.php.html#43"><abbr title="App\Entity\Brand::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Brand.php.html#49"><abbr title="App\Entity\Brand::getId">getId</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Brand.php.html#54"><abbr title="App\Entity\Brand::getName">getName</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Brand.php.html#59"><abbr title="App\Entity\Brand::setName">setName</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Brand.php.html#69"><abbr title="App\Entity\Brand::getProducts">getProducts</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Brand.php.html#74"><abbr title="App\Entity\Brand::addProduct">addProduct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Brand.php.html#84"><abbr title="App\Entity\Brand::removeProduct">removeProduct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Pantry.php.html#111"><abbr title="App\Entity\Pantry::removeOwner">removeOwner</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Pantry.php.html#121"><abbr title="App\Entity\Pantry::getProductPeesences">getProductPeesences</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Pantry.php.html#126"><abbr title="App\Entity\Pantry::addProductPeesence">addProductPeesence</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Pantry.php.html#136"><abbr title="App\Entity\Pantry::removeProductPeesence">removeProductPeesence</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product.php.html#67"><abbr title="App\Entity\Product::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product.php.html#74"><abbr title="App\Entity\Product::__toString">__toString</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product.php.html#82"><abbr title="App\Entity\Product::getId">getId</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product.php.html#87"><abbr title="App\Entity\Product::getName">getName</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product.php.html#92"><abbr title="App\Entity\Product::setName">setName</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product.php.html#99"><abbr title="App\Entity\Product::getBarcode">getBarcode</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product.php.html#104"><abbr title="App\Entity\Product::setBarcode">setBarcode</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product.php.html#111"><abbr title="App\Entity\Product::getOpenfoodfactsURL">getOpenfoodfactsURL</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product.php.html#116"><abbr title="App\Entity\Product::setOpenfoodfactsURL">setOpenfoodfactsURL</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product.php.html#123"><abbr title="App\Entity\Product::getBrand">getBrand</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product.php.html#128"><abbr title="App\Entity\Product::setBrand">setBrand</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product.php.html#138"><abbr title="App\Entity\Product::getProductPeesences">getProductPeesences</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product.php.html#143"><abbr title="App\Entity\Product::addProductPeesence">addProductPeesence</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product.php.html#153"><abbr title="App\Entity\Product::removeProductPeesence">removeProductPeesence</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ProductPresence.php.html#59"><abbr title="App\Entity\ProductPresence::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ProductPresence.php.html#64"><abbr title="App\Entity\ProductPresence::getId">getId</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ProductPresence.php.html#69"><abbr title="App\Entity\ProductPresence::getQuantity">getQuantity</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ProductPresence.php.html#74"><abbr title="App\Entity\ProductPresence::setQuantity">setQuantity</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ProductPresence.php.html#81"><abbr title="App\Entity\ProductPresence::getExpiration">getExpiration</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ProductPresence.php.html#86"><abbr title="App\Entity\ProductPresence::setExpiration">setExpiration</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ProductPresence.php.html#93"><abbr title="App\Entity\ProductPresence::getProduct">getProduct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ProductPresence.php.html#98"><abbr title="App\Entity\ProductPresence::setProduct">setProduct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ProductPresence.php.html#105"><abbr title="App\Entity\ProductPresence::getPantry">getPantry</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ProductPresence.php.html#110"><abbr title="App\Entity\ProductPresence::setPantry">setPantry</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#122"><abbr title="App\Entity\User::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#134"><abbr title="App\Entity\User::getEmail">getEmail</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#139"><abbr title="App\Entity\User::setEmail">setEmail</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#151"><abbr title="App\Entity\User::setPassword">setPassword</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#158"><abbr title="App\Entity\User::getPlainPassword">getPlainPassword</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#163"><abbr title="App\Entity\User::setPlainPassword">setPlainPassword</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#170"><abbr title="App\Entity\User::getPasswordRequestToken">getPasswordRequestToken</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#175"><abbr title="App\Entity\User::setPasswordRequestToken">setPasswordRequestToken</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#191"><abbr title="App\Entity\User::setRoles">setRoles</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#222"><abbr title="App\Entity\User::setUsername">setUsername</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#234"><abbr title="App\Entity\User::setFirstname">setFirstname</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#246"><abbr title="App\Entity\User::setLastname">setLastname</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#256"><abbr title="App\Entity\User::getPreferences">getPreferences</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#265"><abbr title="App\Entity\User::setPreferences">setPreferences</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#272"><abbr title="App\Entity\User::getCreated">getCreated</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#277"><abbr title="App\Entity\User::setCreated">setCreated</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#284"><abbr title="App\Entity\User::getUpdated">getUpdated</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#289"><abbr title="App\Entity\User::setUpdated">setUpdated</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#296"><abbr title="App\Entity\User::getLastLogin">getLastLogin</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#301"><abbr title="App\Entity\User::setLastLogin">setLastLogin</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#311"><abbr title="App\Entity\User::getPantries">getPantries</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#316"><abbr title="App\Entity\User::addPantry">addPantry</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#326"><abbr title="App\Entity\User::removePantry">removePantry</abbr></a></td><td class="text-right">0%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Brand.php.html#84"><abbr title="App\Entity\Brand::removeProduct">removeProduct</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Pantry.php.html#136"><abbr title="App\Entity\Pantry::removeProductPeesence">removeProductPeesence</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Product.php.html#153"><abbr title="App\Entity\Product::removeProductPeesence">removeProductPeesence</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Brand.php.html#74"><abbr title="App\Entity\Brand::addProduct">addProduct</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Pantry.php.html#126"><abbr title="App\Entity\Pantry::addProductPeesence">addProductPeesence</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Product.php.html#74"><abbr title="App\Entity\Product::__toString">__toString</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Product.php.html#143"><abbr title="App\Entity\Product::addProductPeesence">addProductPeesence</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="User.php.html#316"><abbr title="App\Entity\User::addPantry">addPantry</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="User.php.html#326"><abbr title="App\Entity\User::removePantry">removePantry</abbr></a></td><td class="text-right">6</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <footer>
    <hr/>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 9.2.26</a> using <a href="https://secure.php.net/" target="_top">PHP 8.1.16</a> at Sat Mar 11 11:01:13 UTC 2023.</small>
    </p>
   </footer>
  </div>
  <script src="../_js/jquery.min.js?v=9.2.26" type="text/javascript"></script>
  <script src="../_js/d3.min.js?v=9.2.26" type="text/javascript"></script>
  <script src="../_js/nv.d3.min.js?v=9.2.26" type="text/javascript"></script>
  <script type="text/javascript">
$(document).ready(function() {
  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#classCoverageDistribution svg')
      .datum(getCoverageDistributionData([3,0,1,0,0,0,1,0,0,0,0,0], "Class Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#methodCoverageDistribution svg')
      .datum(getCoverageDistributionData([58,0,0,0,0,0,0,0,0,0,0,16], "Method Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getCoverageDistributionData(data, label) {
    var labels = [
      '0%',
      '0-10%',
      '10-20%',
      '20-30%',
      '30-40%',
      '40-50%',
      '50-60%',
      '60-70%',
      '70-80%',
      '80-90%',
      '90-100%',
      '100%'
    ];
    var values = [];
    $.each(labels, function(key) {
      values.push({x: labels[key], y: data[key]});
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Cyclomatic Complexity');

    d3.select('#classComplexity svg')
      .datum(getComplexityData([[0,10,"<a href=\"Brand.php.html#15\">App\\Entity\\Brand<\/a>"],[56.00000000000001,16,"<a href=\"Pantry.php.html#15\">App\\Entity\\Pantry<\/a>"],[0,18,"<a href=\"Product.php.html#15\">App\\Entity\\Product<\/a>"],[0,10,"<a href=\"ProductPresence.php.html#16\">App\\Entity\\ProductPresence<\/a>"],[16.3265306122449,33,"<a href=\"User.php.html#21\">App\\Entity\\User<\/a>"]], 'Class Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Method Complexity');

    d3.select('#methodComplexity svg')
      .datum(getComplexityData([[0,1,"<a href=\"Brand.php.html#43\">App\\Entity\\Brand::__construct<\/a>"],[0,1,"<a href=\"Brand.php.html#49\">App\\Entity\\Brand::getId<\/a>"],[0,1,"<a href=\"Brand.php.html#54\">App\\Entity\\Brand::getName<\/a>"],[0,1,"<a href=\"Brand.php.html#59\">App\\Entity\\Brand::setName<\/a>"],[0,1,"<a href=\"Brand.php.html#69\">App\\Entity\\Brand::getProducts<\/a>"],[0,2,"<a href=\"Brand.php.html#74\">App\\Entity\\Brand::addProduct<\/a>"],[0,3,"<a href=\"Brand.php.html#84\">App\\Entity\\Brand::removeProduct<\/a>"],[100,1,"<a href=\"Pantry.php.html#58\">App\\Entity\\Pantry::__construct<\/a>"],[100,1,"<a href=\"Pantry.php.html#65\">App\\Entity\\Pantry::getId<\/a>"],[100,1,"<a href=\"Pantry.php.html#70\">App\\Entity\\Pantry::getName<\/a>"],[100,1,"<a href=\"Pantry.php.html#75\">App\\Entity\\Pantry::setName<\/a>"],[100,1,"<a href=\"Pantry.php.html#82\">App\\Entity\\Pantry::isEnabled<\/a>"],[100,1,"<a href=\"Pantry.php.html#87\">App\\Entity\\Pantry::setEnabled<\/a>"],[100,1,"<a href=\"Pantry.php.html#97\">App\\Entity\\Pantry::getOwners<\/a>"],[100,2,"<a href=\"Pantry.php.html#102\">App\\Entity\\Pantry::addOwner<\/a>"],[0,1,"<a href=\"Pantry.php.html#111\">App\\Entity\\Pantry::removeOwner<\/a>"],[0,1,"<a href=\"Pantry.php.html#121\">App\\Entity\\Pantry::getProductPeesences<\/a>"],[0,2,"<a href=\"Pantry.php.html#126\">App\\Entity\\Pantry::addProductPeesence<\/a>"],[0,3,"<a href=\"Pantry.php.html#136\">App\\Entity\\Pantry::removeProductPeesence<\/a>"],[0,1,"<a href=\"Product.php.html#67\">App\\Entity\\Product::__construct<\/a>"],[0,2,"<a href=\"Product.php.html#74\">App\\Entity\\Product::__toString<\/a>"],[0,1,"<a href=\"Product.php.html#82\">App\\Entity\\Product::getId<\/a>"],[0,1,"<a href=\"Product.php.html#87\">App\\Entity\\Product::getName<\/a>"],[0,1,"<a href=\"Product.php.html#92\">App\\Entity\\Product::setName<\/a>"],[0,1,"<a href=\"Product.php.html#99\">App\\Entity\\Product::getBarcode<\/a>"],[0,1,"<a href=\"Product.php.html#104\">App\\Entity\\Product::setBarcode<\/a>"],[0,1,"<a href=\"Product.php.html#111\">App\\Entity\\Product::getOpenfoodfactsURL<\/a>"],[0,1,"<a href=\"Product.php.html#116\">App\\Entity\\Product::setOpenfoodfactsURL<\/a>"],[0,1,"<a href=\"Product.php.html#123\">App\\Entity\\Product::getBrand<\/a>"],[0,1,"<a href=\"Product.php.html#128\">App\\Entity\\Product::setBrand<\/a>"],[0,1,"<a href=\"Product.php.html#138\">App\\Entity\\Product::getProductPeesences<\/a>"],[0,2,"<a href=\"Product.php.html#143\">App\\Entity\\Product::addProductPeesence<\/a>"],[0,3,"<a href=\"Product.php.html#153\">App\\Entity\\Product::removeProductPeesence<\/a>"],[0,1,"<a href=\"ProductPresence.php.html#59\">App\\Entity\\ProductPresence::__construct<\/a>"],[0,1,"<a href=\"ProductPresence.php.html#64\">App\\Entity\\ProductPresence::getId<\/a>"],[0,1,"<a href=\"ProductPresence.php.html#69\">App\\Entity\\ProductPresence::getQuantity<\/a>"],[0,1,"<a href=\"ProductPresence.php.html#74\">App\\Entity\\ProductPresence::setQuantity<\/a>"],[0,1,"<a href=\"ProductPresence.php.html#81\">App\\Entity\\ProductPresence::getExpiration<\/a>"],[0,1,"<a href=\"ProductPresence.php.html#86\">App\\Entity\\ProductPresence::setExpiration<\/a>"],[0,1,"<a href=\"ProductPresence.php.html#93\">App\\Entity\\ProductPresence::getProduct<\/a>"],[0,1,"<a href=\"ProductPresence.php.html#98\">App\\Entity\\ProductPresence::setProduct<\/a>"],[0,1,"<a href=\"ProductPresence.php.html#105\">App\\Entity\\ProductPresence::getPantry<\/a>"],[0,1,"<a href=\"ProductPresence.php.html#110\">App\\Entity\\ProductPresence::setPantry<\/a>"],[0,1,"<a href=\"User.php.html#122\">App\\Entity\\User::__construct<\/a>"],[100,1,"<a href=\"User.php.html#129\">App\\Entity\\User::getId<\/a>"],[0,1,"<a href=\"User.php.html#134\">App\\Entity\\User::getEmail<\/a>"],[0,1,"<a href=\"User.php.html#139\">App\\Entity\\User::setEmail<\/a>"],[100,1,"<a href=\"User.php.html#146\">App\\Entity\\User::getPassword<\/a>"],[0,1,"<a href=\"User.php.html#151\">App\\Entity\\User::setPassword<\/a>"],[0,1,"<a href=\"User.php.html#158\">App\\Entity\\User::getPlainPassword<\/a>"],[0,1,"<a href=\"User.php.html#163\">App\\Entity\\User::setPlainPassword<\/a>"],[0,1,"<a href=\"User.php.html#170\">App\\Entity\\User::getPasswordRequestToken<\/a>"],[0,1,"<a href=\"User.php.html#175\">App\\Entity\\User::setPasswordRequestToken<\/a>"],[100,1,"<a href=\"User.php.html#182\">App\\Entity\\User::getRoles<\/a>"],[0,1,"<a href=\"User.php.html#191\">App\\Entity\\User::setRoles<\/a>"],[100,1,"<a href=\"User.php.html#201\">App\\Entity\\User::getSalt<\/a>"],[100,1,"<a href=\"User.php.html#209\">App\\Entity\\User::getUsername<\/a>"],[100,1,"<a href=\"User.php.html#217\">App\\Entity\\User::eraseCredentials<\/a>"],[0,1,"<a href=\"User.php.html#222\">App\\Entity\\User::setUsername<\/a>"],[100,1,"<a href=\"User.php.html#229\">App\\Entity\\User::getFirstname<\/a>"],[0,1,"<a href=\"User.php.html#234\">App\\Entity\\User::setFirstname<\/a>"],[100,1,"<a href=\"User.php.html#241\">App\\Entity\\User::getLastname<\/a>"],[0,1,"<a href=\"User.php.html#246\">App\\Entity\\User::setLastname<\/a>"],[0,1,"<a href=\"User.php.html#256\">App\\Entity\\User::getPreferences<\/a>"],[0,1,"<a href=\"User.php.html#265\">App\\Entity\\User::setPreferences<\/a>"],[0,1,"<a href=\"User.php.html#272\">App\\Entity\\User::getCreated<\/a>"],[0,1,"<a href=\"User.php.html#277\">App\\Entity\\User::setCreated<\/a>"],[0,1,"<a href=\"User.php.html#284\">App\\Entity\\User::getUpdated<\/a>"],[0,1,"<a href=\"User.php.html#289\">App\\Entity\\User::setUpdated<\/a>"],[0,1,"<a href=\"User.php.html#296\">App\\Entity\\User::getLastLogin<\/a>"],[0,1,"<a href=\"User.php.html#301\">App\\Entity\\User::setLastLogin<\/a>"],[0,1,"<a href=\"User.php.html#311\">App\\Entity\\User::getPantries<\/a>"],[0,2,"<a href=\"User.php.html#316\">App\\Entity\\User::addPantry<\/a>"],[0,2,"<a href=\"User.php.html#326\">App\\Entity\\User::removePantry<\/a>"]], 'Method Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getComplexityData(data, label) {
    var values = [];
    $.each(data, function(key) {
      var value = Math.round(data[key][0]*100) / 100;
      values.push({
        x: value,
        y: data[key][1],
        class: data[key][2],
        size: 0.05,
        shape: 'diamond'
      });
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
});
  </script>
 </body>
</html>
